# 1. 登录 npm 服务器
# - npm adduser --registry=https://registry.npmjs.org/

(echo $NPM_USER && sleep 1 && echo $NPM_PASS && sleep 1 && echo $NPM_MAIL)|npm adduser --registry=https://registry.npmjs.org/


# 2. 获取 npm 上 latest 版本号
# - npm info bee-ui|grep|awk

latestVersion=`npm info bee-ui|grep 'version:'`
latestVersion=`echo $latestVersion|awk '{print substr($0,11,length-12)}'`


# 3. 本地 package.json 版本号
# - cat package.json|grep|awk

version=`cat package.json|grep 'version'`
version=`echo $version|awk '{print substr($0,13,length-14)}'`


# 4. 有更新则发布 latest
# - npm publish

if [ $version != $latestVersion ];then
  npm publish
fi


# 5. 更新时间戳发布 nightly
# - sed && npm publish --tag=nightly

timestamp=`date +%Y%m%d%H%M%S`
nightlyVersion=`echo $version-$timestamp`

sed -i '' 's/"version": "'$version'"/"version": "'$nightlyVersion'"/g' package.json
npm publish --tag=nightly
yunding.fe
