import React, {
  PropTypes,
  ViewPropTypes,
  Component,
} from 'react';
import {
	Text,
  View,
  StyleSheet,
  Dimensions,
} from 'react-native';

import Flex from '../Flex';
import Label from '../Label';
import Suffix from '../Suffix';
import AutoTextInput from '../AutoTextInput';

const styles = StyleSheet.create({
  container: {
    flexDirection: 'row',
    borderBottomWidth: 1,
    borderBottomColor: '#E5E5E5',
  },
});
class FormItem extends Component {
  static PropTypes = {

  };
  defaultProps = {
  }
  layout(e){
    console.log(e);
  }
  render() {
    console.log(this.props.children);
    const { label, suffix, style, ...attributes } = this.props;
    return (
      <View {...attributes} style={[styles.container,style]}>
        <Label label={label}/>
        <View style={{flex: 0.65 }}>{this.props.children}</View>
        <Suffix {...suffix}/>
      </View>
    );
  }
}
export default FormItem;
