import React, {
  PropTypes,
  ViewPropTypes,
  Component,
} from 'react';
import {
	View,
	Text,
	StyleSheet,
} from 'react-native';

const styles = StyleSheet.create({
  arrow: {
    width: 15,
    height: 15,
    borderLeftWidth: 1,
    borderBottomWidth: 1,
    borderColor: '#8A8A8A',
    transform: [{ rotate: '-135deg' }],
  },
});

const Suffix = (props) => {
  const { name, el, style, ...attributes } = props;
  if (el) return el;
  if ( name === 'arrow') {
    return (
      <View style={[styles.arrow, style]} />
    );
  }
  return (
    <View />
  );
};
export default Suffix;
